Campaign recipients
Each person in a campaign and what happened to their message.
Scope: sms:read.
GET
/
sms
/
campaigns
/
{id}
/
recipients
Campaign recipients
curl --request GET \
--url https://app.telaven.com/api/v1/sms/campaigns/{id}/recipients \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.telaven.com/api/v1/sms/campaigns/{id}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.telaven.com/api/v1/sms/campaigns/{id}/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.telaven.com/api/v1/sms/campaigns/{id}/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://app.telaven.com/api/v1/sms/campaigns/{id}/recipients");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"success": true,
"data": [
{
"id": "a3d2…",
"campaignId": "6f1c…",
"phone": "+254712345678",
"name": "Jane Wanjiku",
"contactId": "d4c1…",
"status": "delivered",
"messageId": "ATXid_8f3…",
"cost": "0.90",
"errorMessage": null,
"sentAt": "2026-11-12T09:30:01.000Z",
"deliveredAt": "2026-11-12T09:30:07.000Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 1200,
"totalPages": 24
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Query Parameters
Response
Success
⌘I
Campaign recipients
curl --request GET \
--url https://app.telaven.com/api/v1/sms/campaigns/{id}/recipients \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.telaven.com/api/v1/sms/campaigns/{id}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.telaven.com/api/v1/sms/campaigns/{id}/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.telaven.com/api/v1/sms/campaigns/{id}/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://app.telaven.com/api/v1/sms/campaigns/{id}/recipients");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"success": true,
"data": [
{
"id": "a3d2…",
"campaignId": "6f1c…",
"phone": "+254712345678",
"name": "Jane Wanjiku",
"contactId": "d4c1…",
"status": "delivered",
"messageId": "ATXid_8f3…",
"cost": "0.90",
"errorMessage": null,
"sentAt": "2026-11-12T09:30:01.000Z",
"deliveredAt": "2026-11-12T09:30:07.000Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 1200,
"totalPages": 24
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}